﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class StickScript : MonoBehaviour
{
    public ParticleScript pa,pb;
    float length;

    // Start is called before the first frame update
    void Start()
    {
        length = a2b().magnitude;
        
    }

    Vector3 a2b(){
        return pb.transform.position - pa.transform.position ;
    }

    // Update is called once per frame
    void Update()
    {
        transform.position = (pa.transform.position + pb.transform.position ) / 2;
        transform.rotation = Quaternion.FromToRotation(Vector3.up, a2b() );
        transform.localScale = new Vector3( 0.63f, a2b().magnitude/2, 0.6f);
    }

    void FixedUpdate(){
        Vector3 d = a2b();
        float currentLength = d.magnitude;
        d /= currentLength; // normalize d

        float delta = currentLength - length;

        float ma = pa.mass;
        float mb = pb.mass;

        pa.transform.position += d * delta * (mb)/(ma+mb);
        pb.transform.position -= d * delta * (ma)/(ma+mb);

    }
}
